@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2011, 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

REM Check if SCDEBUG flag is on

   if "%SCDEBUG%"=="1" (@echo on)

   SET DIRHOME=
   SET JAVAPATH=
   SET VALIDVER="6.3.0"

   SET TPC_HOME=C:\\Program Files\\IBM\\TPC

   if NOT EXIST "%TPC_HOME%\version.txt" (
     SET ERRORLEVEL=0
     GOTO FINALEOF
   )

   call :initializeJava
   
   %JAVAPATH% -classpath %CLASSPATH% CheckDBProperties %*

   if %ERRORLEVEL% NEQ 0  GOTO CHANGEDB_FAILED

   GOTO FINALEOF 

:NOT_VALID_DIRECTOR 
   call :displayMessage "ISD_NOT_INSTALLED"
   GOTO FINALEOF 


:initializeJava
   REGEDIT /E DIR_REG.REG "HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Server\CurrentVersion" 

   set VALID_DIRECTOR=0

   if NOT EXIST DIR_REG.REG ( 
      goto MY_REG_NO_EXIST 
   ) 

   for /f "usebackq tokens=1,2 delims==" %%a in (`type DIR_REG.REG`) do ( 
    
     if %%a=="Version" ( 
        if %%b GEQ %VALIDVER% ( set VALID_DIRECTOR=1 ) else ( GOTO NOT_VALID_DIRECTOR )
     ) 
     if %%a=="Root" ( 
        SET DIRHOME=%%b
     ) 

   ) 

   SET CLASSPATH=%DIRHOME%\StorageControl\lib\*;%DIRHOME%\lwi\lib\passutils.jar;%DIRHOME%\lwi\lib\lwisecurity.jar;"%TPC_HOME%"\uninstallFiles\install\ep_common.jar
   REM source the javaHome file to get the JAVA_HOME environment variable
   call %DIRHOME%\lwi\conf\javaHome.bat
   SET JAVAPATH="%JAVA_HOME%"\bin\java     
   GOTO FINALEOF

:displayMessage
   if %VALID_DIRECTOR% EQU 1 (
     %JAVAPATH% -classpath %CLASSPATH% DisplayMessage %1 %2 %3
   ) 
   GOTO FINALEOF


:FINALEOF
